osg::StateAttribute::ReassignToParents Struct Reference

`#include <StateAttribute>`

## Public Member Functions

| ReassignToParents (osg::StateAttribute *att)
| ~ReassignToParents ()

## Public Attributes

ref_ptr< StateAttribute > | attribute
ParentList | parents

## Detailed Description

Helper class that make is easy to handle changes in a member value.

## Constructor & Destructor Documentation

## ReassignToParents()

osg::StateAttribute::ReassignToParents::ReassignToParents | ( | osg::StateAttribute * | att | ) |

Constructor caches and then removes attribute for all of it's parents.

## ~ReassignToParents()

osg::StateAttribute::ReassignToParents::~ReassignToParents | ( |  | ) |

Destructor then reassigns the attribute to all of the parents.

## Member Data Documentation

## attribute

ref_ptr<StateAttribute> osg::StateAttribute::ReassignToParents::attribute

## parents

ParentList osg::StateAttribute::ReassignToParents::parents

The documentation for this struct was generated from the following file:

- StateAttribute